Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class GenericBeanTypeImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.GenericBeanTypeImplTestCase

    public class GenericBeanTypeImplTestCase

extends java.lang.Object

Constructor Summary
`GenericBeanTypeImplTestCase()`

Method Summary
`void` | `testAnnotation()`
`void` | `testAopDomainName()`
`void` | `testDepends()`
`void` | `testEjbName()`
`void` | `testHomeJndiName()`
`void` | `testIgnoreDependency()`
`void` | `testJndiBindingPolicy()`
`void` | `testJndiName()`
`void` | `testJndiRef()`
`void` | `testLocalHomeJndiName()`
`void` | `testLocalJndiName()`
`void` | `testMappedName()`
`void` | `testMethodAttributes()`
`void` | `testPoolConfig()`
`void` | `testPortComponent()`
`void` | `testSecurityDomain()`
`void` | `testSecurityIdentity()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericBeanTypeImplTestCase

    public GenericBeanTypeImplTestCase()

Method Detail

### testEjbName

    public void testEjbName()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMappedName

    public void testMappedName()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSecurityIdentity

    public void testSecurityIdentity()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJndiName

    public void testJndiName()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testHomeJndiName

    public void testHomeJndiName()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLocalJndiName

    public void testLocalJndiName()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLocalHomeJndiName

    public void testLocalHomeJndiName()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJndiBindingPolicy

    public void testJndiBindingPolicy()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSecurityDomain

    public void testSecurityDomain()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMethodAttributes

    public void testMethodAttributes()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testDepends

    public void testDepends()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAnnotation

    public void testAnnotation()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testIgnoreDependency

    public void testIgnoreDependency()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAopDomainName

    public void testAopDomainName()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPoolConfig

    public void testPoolConfig()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJndiRef

    public void testJndiRef()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testPortComponent

    public void testPortComponent()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD